> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telzino.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Organization

> Deletes an existing organization

<Warning>
  This action cannot be undone. The organization and all its associated data will be permanently deleted.
</Warning>

## Path Parameters

<ParamField path="organization_id" type="string" required>
  The unique identifier of the organization to delete
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.telzino.com/v1/organizations/org-123e4567-e89b-12d3-a456-426614174000" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const organizationId = 'org-123e4567-e89b-12d3-a456-426614174000';

  const response = await fetch(
    `https://api.telzino.com/v1/organizations/${organizationId}`,
    {
      method: 'DELETE',
      headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
    }
  );

  const result = await response.json();
  console.log(result.message); // "Organization successfully deleted"
  ```

  ```python Python theme={null}
  import requests

  organization_id = 'org-123e4567-e89b-12d3-a456-426614174000'

  response = requests.delete(
      f'https://api.telzino.com/v1/organizations/{organization_id}',
      headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
  )

  result = response.json()
  print(result['message'])  # "Organization successfully deleted"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "Organization successfully deleted"
  }
  ```

  ```json 400 theme={null}
  {
    "error": "bad_request",
    "message": "Invalid organization ID"
  }
  ```

  ```json 404 theme={null}
  {
    "error": "not_found",
    "message": "Organization not found"
  }
  ```
</ResponseExample>
